@charset "UTF-8";
@import './scss/fonts';

footer.pt-5{
    padding-top: 129px!important;
}
 
.navbar-top .navbar-nav .nav-link, .navbar-top .navbar-nav .nav navbar > li > a, .nav .navbar-top .navbar-nav navbar > li > a{
    cursor: pointer;
}

.card.home-login {
    transform: translateY(-50%);
    box-shadow: 0 1px 16px rgba(0,0,0, 0.11);
    margin-bottom: -150px;
}
.account-details{
    .card-body{
        .btn.btn-light{
            background-color: #1B1C4B;
            background-image: linear-gradient(to right, #FDC200, #F58A1E);
            color: #fff;
            font-weight: 800;
            line-height: 18px;
            padding: 14px 32px;
            border: 0;
            border-radius: 33px;
            box-shadow: 0 12px 24px rgba(255, 200, 35, 0.5);
            margin-bottom: 32px;
            &:hover{
                background-image: none;
            }
        }
    }
}
.btn {
    font-weight: 800;
    line-height: 18px;
    border-radius: 33px;
    &.btn-success,&.btn-primary{
        color: #fff;
        font-weight: 800;
        line-height: 18px!important;
        padding: 14px 32px!important;
        border: 0;
        border-radius: 33px!important;
    }
    &.btn-primary{
        background-color: #1B1C4B;
        background-image: linear-gradient(to right, #FDC200, #F58A1E);
        &:hover{
            background-image: none;
        }
    }    
}

.btn-sm, .btn-group-sm > .btn{
    padding: 0.25rem 0.5rem;
}

.menu-item{
    .menu-content{
        .menu-name{

        }
        .menu-desc{

        }
    }
    .menu-detail{
        display: flex;
        justify-content: flex-end;
        .menu-price{

        }
        .menu-button{
            .btn{
                padding: 0.25rem 0.5rem;
                &.btn-cart {
                    width: 32px;
                    height: 32px;
                    background-color: #00C609;
                    color: #fff;
                    border: 2px solid #00C609;
                    border-radius: 50%;
                    &:hover {
                        padding: 4px 5px;
                        background-color: #fff;
                        &:before {
                            content: "اضف";
                            font-size: 9px;
                            color: #00c60a;
                            white-space: nowrap;
                        }
                        .fa{
                            display: none;
                        }
                    }                            
                }
                &.disabled {
                    background-color: #e8e6e6;
                    border: 2px solid #e8e6e6;
                }
            }
        }
    }
}

.affix-cart{
    .cart-total{
        color: #000!important;
        .text-muted{
            color: #000!important;
        }
    }
}

.affix-cart{
    z-index: 999;
    .cart-items{
        max-height: 26vh;
        & > ul > li .cart-btn {
            padding: 0.25rem 0.5rem;
            border-radius: 50%;
        }        
    }
}

.account-details .card-body .btn.btn-success{
    animation: 2s infinite order-animation;
}
  
  
@keyframes order-animation{
    0%,100%{
        transform: scale(1);
        box-shadow: 0px 8px 16px 0px rgba(78, 228, 113, 0.4);
    }
    50%{
        box-shadow: 0px 8px 18px 0px rgba(78, 228, 113, 0.7);
        transform: scale(1.02);
    }
}
  

[dir=rtl],.rtl{
    body{
        text-align: right;
        font-family: 'Noto Kufi Arabic',Arial,sans-serif;
    }
    h1,h2,h3,h4,h5,h6, .card-title, .title{
        font-family: 'AraJozoor-Regular', serif;
    }
    .card.home-login{
        .btn-link{
            font-size: rem(16px);
            padding: 0;
            margin-right: 16px;
            .small{
                white-space: nowrap;
            }
        }
    }   
    .input-group > .form-control:not(:last-child), .input-group > .custom-select:not(:last-child) {
        border-top-right-radius: 0.3rem;
        border-top-left-radius: 0;
        border-bottom-right-radius: 0.3rem;
        border-bottom-left-radius: 0;
    }
    .custom-control {
        padding-right: 1.5rem;
        padding-left: 0;
        .custom-control-label{
            &:after {
                right: -1.5rem;
                left: auto;
            }
            &:before {
                right: -1.5rem;
                left: auto;
            }
        }
    }
    .float-left, .pull-left {
        float: right !important;
    }
    .float-right, .pull-right {
        float: left !important;
    }
    dd{
        margin-right: 0;
    }
    @media (min-width: 576px){
        .pr-sm-3, .px-sm-3 {
            padding-left: rem(8px) !important;
            padding-right: 0 !important;
        }
        .pl-sm-2, .px-sm-2 {
            padding-right: 0.5rem !important;
            padding-left: 0 !important;
        }
    }
    .menu-price{
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: rem(13px);
        text-align: left;
    }
    .menu-name{
        font-family: 'Noto Kufi Arabic',Arial,sans-serif;
        font-size: rem(13px);
    }
    .mr-3, .mx-3 {
        margin-left: 1rem !important;
        margin-right: 0rem !important;
    }

    // .fa-chevron-up:before, .menu-group .menu-group-item .category-title .collapse-toggle:before {
    //     content: "\f078";
    // }
    .fa-chevron-up:before, .menu-group .menu-group-item .category-title .collapse-toggle:before {
        content: "\f077";
    }
    .fa-chevron-down:before, .menu-group .menu-group-item .category-title[aria-expanded="false"] .collapse-toggle:before {
        content: "\f078";
    }  
    
    .input-group > .input-group-append > .btn, .input-group > .input-group-append > .input-group-text, .input-group > .input-group-prepend:not(:first-child) > .btn, .input-group > .input-group-btn:not(:first-child) > .btn, .input-group > .input-group-addon:not(:first-child) > .btn, .input-group > .input-group-prepend:not(:first-child) > .input-group-text, .input-group > .input-group-btn:not(:first-child) > .input-group-text, .input-group > .input-group-addon:not(:first-child) > .input-group-text, .input-group > .input-group-prepend:first-child > .btn:not(:first-child), .input-group > .input-group-btn:first-child > .btn:not(:first-child), .input-group > .input-group-addon:first-child > .btn:not(:first-child), .input-group > .input-group-prepend:first-child > .input-group-text:not(:first-child), .input-group > .input-group-btn:first-child > .input-group-text:not(:first-child), .input-group > .input-group-addon:first-child > .input-group-text:not(:first-child) {
        border-top-left-radius: 33px;
        border-top-right-radius: 0;
        border-bottom-left-radius: 33px;
        border-bottom-right-radius: 0;
    }    
    .input-group > .input-group-prepend > .btn, .input-group > .input-group-btn > .btn, .input-group > .input-group-addon > .btn, .input-group > .input-group-prepend > .input-group-text, .input-group > .input-group-btn > .input-group-text, .input-group > .input-group-addon > .input-group-text, .input-group > .input-group-append:not(:last-child) > .btn, .input-group > .input-group-append:not(:last-child) > .input-group-text, .input-group > .input-group-append:last-child > .btn:not(:last-child):not(.dropdown-toggle), .input-group > .input-group-append:last-child > .input-group-text:not(:last-child) {
        border-top-right-radius: 33px;
        border-top-left-radius: 0;
        border-bottom-right-radius: 33px;
        border-bottom-left-radius: 0;
    }  
    .modal{
        .modal-content{
            .modal-top{
                img{
                    &.img-fluid{
                        margin: auto;
                        display: block;
                        width: 100%;
                    }
                }
            }
        }
        .modal-body{
            .close{
                float: left;
            }
        }
    }  
}